<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1" />
	</startup>
	<system.serviceModel>
		<bindings>
			<basicHttpBinding>
				<binding name="BasicHttpsBinding_WolkToolsService" closeTimeout="00:10:00" openTimeout="00:10:00" receiveTimeout="00:10:00" sendTimeout="00:10:00" maxBufferPoolSize="0" maxReceivedMessageSize="2147483647">
					<security mode="Transport" />
				</binding>
				<binding maxBufferSize="2147483647" maxReceivedMessageSize="2147483647" />
			</basicHttpBinding>
		</bindings>
		<client>
			<endpoint address="https://wcfwolkpvv2.azurewebsites.net/WolkToolsService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpsBinding_WolkToolsService" contract="WSwolkPV.WolkToolsService" name="BasicHttpBinding_WolkToolsService" />
		</client>
	</system.serviceModel>
	<appSettings>
		<add key="BlobStorageConectionString" value="DefaultEndpointsProtocol=https;AccountName=wolkpre;AccountKey=hQjMyWfUX6sn63xbiOiMmy0U43TeE+01pa4pIZROxinPwgGiGHWU7K9p4Ob+4dvwAUkQZE9NtkQ2VLgeTXmCyw==;EndpointSuffix=core.windows.net" />
		<add key="BlobStorageUrl" value="https://wolkpre.blob.core.windows.net" />
		<!--DESARROLLO-->
		<add key="SitioWebWolk" value="http://localhost:50661/" />
		<!--PRUEBAS-->
		<!--<add key="SitioWebWolk" value="https://wolkfacturacion.azurewebsites.net/" />-->
		<!--PRODUCCION-->
		<!--<add key="SitioWebWolk" value="https://wolkfacturacioncr.azurewebsites.net/" />-->
		<add key="ClientSettingsProvider.ServiceUri" value="" />
	</appSettings>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.Azure.KeyVault.Core" publicKeyToken="31bf3856ad364e35" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
	<system.diagnostics>
		<sources>
			<source name="System.ServiceModel" switchValue="All" propagateActivity="true">
				<listeners>
					<add name="traceListener" type="System.Diagnostics.XmlWriterTraceListener" initializeData="D:\AppLogs\Traces.svclog" />
				</listeners>
			</source>
		</sources>
	</system.diagnostics>
	<system.web>
		<membership defaultProvider="ClientAuthenticationMembershipProvider">
			<providers>
				<add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
			</providers>
		</membership>
		<roleManager defaultProvider="ClientRoleProvider" enabled="true">
			<providers>
				<add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
			</providers>
		</roleManager>
	</system.web>
	<connectionStrings>
		<add name="MasterCo" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog=master;Integrated Security=True"/>
		<add name="ReWSWolkPV" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog=localdb;Integrated Security=True"/>
		<add name="WSWolkPV" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog=localdb;Integrated Security=True"/>
	</connectionStrings>
</configuration>
